Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1
/
at
/
{year}
/
{month}
GSTR-1 AT
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/at/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/at/{year}/{month}"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/at/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "data": {
    "error": {
      "error_cd": "RET11416",
      "message": "No document found in selected financial year. Either this document exists in a different financial year or the document number is incorrect."
    },
    "status_cd": "0"
  },
  "timestamp": 1763446641000,
  "transaction_id": "9e1608fe-372a-4064-94bc-4657473700f1"
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required
month
string
required

Response

200 - application/json

RET11416 No data found

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"9e1608fe-372a-4064-94bc-4657473700f1"